# Selectively update a finding

Selectively update a finding.

Endpoint: PATCH /api/v2/scans/{scanId}/findings/{findingId}
Version: 24.9.2.5
Security: ApiKeyAuth, Bearer

## Path parameters:

  - `scanId` (string, required)
    ID of the scan in which the finding to update exists

  - `findingId` (string, required)
    ID of the finding to update

## Request fields (application/json):

  - `customSeverity` (string)
    If set, it has to be either High, Medium or Low.
Case insensitive, all values are converted to have the first letter uppercase and others lowercase, e.g. High.

  - `reviewed` (boolean)

  - `suppressed` (boolean)

  - `suppressionReason` (string)
    Has to be unset or empty if suppressed is not set or if it's false.

## Response 200 fields (application/json):

  - `message` (string)
    Example: "Operation succeeded"

  - `result` (any)

  - `success` (boolean)
    Example: true

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)


